Subject: Re: bug#15045: Point jumps inappropriately around time of Semantic lexing

From: Stefan Monnier <[email-masked]>
Date: Fri, 09 Aug 2013 17:46:33 -0400

>> >> That sounds wrong.
>> > Are you saying that using the READABLE_EVENTS_DO_TIMERS_NOW flag above
>> > is wrong?
>> I think so: input-pending-p is not expected to wait, so I don't see any
>> reason to run timers.
> I think the only reason, as with all the other places where we run
> timers, is to make Emacs look appear more responsive, notwithstanding
> the on-going processing.

I suspect that the users of input-pending-p which care about running
timers would be better served by (sit-for 0 t).  Currently, it's 100%
equivalent, but the intention is a lot more clear.

        Stefan